Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.
Chargebeechargebee API

Update quote status

Updates the status of the quote. Status can be updated to Accepted, Declined, and Closed.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/quotes/{quote-id}/update_status

Input Parameters

status
required, enumerated string

Status to update for the quote.

Enum Values
accepted

Accepted.

declined

Declined.

proposed

Proposed.

voided

Voided.

closed

Closed

comment
optional, string, max chars=300

An internal comment to be added for this operation, to the quote. This comment is displayed on the Chargebee UI. It is not displayed on any customer-facing Hosted Page or any document such as the Quote PDF .

Returns

Quote object

Resource object representing quote

Quoted subscription object

Resource object representing quoted_subscription

Quoted charge object

Resource object representing quoted_charge

quoted_ramp
Quoted ramp object

Resource object representing quoted_ramp